Name:           cctz
Version:        2.2
%global sover   2
Release:        2%{?dist}
License:        ASL 2.0
Summary:        Translating between absolute and civil times using time zone rules
Url:            https://github.com/google/cctz
Source0:        https://github.com/google/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
# https://sources.debian.org/patches/cctz/2.2+dfsg1-1/0001-Compile-shared-lib-and-install-it.patch/
Patch0001:      0001-Compile-shared-lib-and-install-it.patch
# Because Google's benchmark is not packaged, and we don't really need it.
Patch0002:      0002-Skip-benchmark.patch

BuildRequires:  tzdata
BuildRequires:  binutils
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  gtest-devel >= 1.8.0
BuildRequires:  gmock-devel >= 1.8.0

Requires:       tzdata

%package devel
Summary:        %{summary}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description
CCTZ contains two libraries that cooperate with <chrono> to give C++
programmers all the necessary tools for computing with dates, times, and time
zones in a simple and correct manner. The libraries in CCTZ are:
  * The Civil-Time Library - This is a header-only library that supports
    computing with human-scale time, such as dates (which are represented by
    the cctz::civil_day class).
  * The Time-Zone Library - This library uses the IANA time zone database that
    is installed on the system to convert between absolute time and civil time.

%description devel
Development files for %{name} library.


%prep
%autosetup -p1


%build
# Build in subdirectory to check example build, but artifacts are not kept.
mkdir build
cd build
# Version and shared library version match Debian's.
%cmake .. -DVERSION=%{version} -DSOVERSION=%{sover}
%make_build


%install
%make_install -C build


%check
LD_LIBRARY_PATH="%{buildroot}%{_libdir}" ctest -V %{?_smp_mflags} build


%files
%doc README.md
%license LICENSE.txt
%{_libdir}/libcctz.so.%{sover}
%{_libdir}/libcctz.so.%{version}

%files devel
%doc examples
%{_includedir}/cctz
%{_libdir}/libcctz.so


%changelog
* Wed Mar 14 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.2-2
- Remove example build artifacts from documentation

* Tue Mar 13 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.2-1
- Initial package release
